API
इवेंट पढ़ें
एक संपर्क के इवेंट, नए पहले, और वे इवेंट नाम जो वर्कस्पेस ने भेजे हैं, ताकि ट्रिगर में कोई एक चुना जा सके।
GET/contacts/{email}/events
2 कॉल में से कोई भी आपके वर्कस्पेस पर चलाता है।
GET /contacts/{email}/events
एक संपर्क के इवेंट, नए पहले, और वे इवेंट नाम जो वर्कस्पेस ने भेजे हैं, ताकि ट्रिगर में कोई एक चुना जा सके।
उदाहरण
किसी संपर्क के इवेंट के लिए contacts:read चाहिए, और नामों के लिए automations:read। संपर्क को पते से या id से बताया जाता है। name सूची को एक इवेंट तक सीमित करता है, और limit अधिकतम 200 तक जाता है और डिफ़ॉल्ट 50 है।
curl "$OE/contacts/[email protected]/events?name=order.placed" -H "$AUTH"curl "$OE/events/names" -H "$AUTH"{ "object": "list", "data": [{ "object": "contact_event", "id": "cev_6a1d9f3c8b2e40a75d9c1e38", "contactId": "5b0e7c1a-2f4d-4c8b-9a36-1e7d0c5f8b24", "email": "[email protected]", "name": "order.placed", "properties": { "orderId": "A-1042", "total": 59 }, "occurredAt": "2026-10-11T08:02:03.000Z", "mode": "live", "createdAt": "2026-10-11T08:02:03.412Z" }], "hasMore": false, "nextCursor": null}90 दिन से पुराने इवेंट हटा दिए जाते हैं, इसलिए कोई ब्रांच अधिकतम 90 दिन पीछे देख सकती है।
GET /events/names जवाब में { "object": "contact_event_name", "name": "order.placed" } की सूची देता है, वर्णानुक्रम में अधिकतम 100 नाम।